summaryrefslogtreecommitdiffstats
path: root/office/MasterPDFEditor/MasterPDFEditor.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'office/MasterPDFEditor/MasterPDFEditor.SlackBuild')
-rw-r--r--office/MasterPDFEditor/MasterPDFEditor.SlackBuild43
1 files changed, 21 insertions, 22 deletions
diff --git a/office/MasterPDFEditor/MasterPDFEditor.SlackBuild b/office/MasterPDFEditor/MasterPDFEditor.SlackBuild
index 6472b6c20b..a9b164a219 100644
--- a/office/MasterPDFEditor/MasterPDFEditor.SlackBuild
+++ b/office/MasterPDFEditor/MasterPDFEditor.SlackBuild
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for MasterPDFEditor
-# Copyright 2014-2019 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# Copyright 2014-2024 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,12 +22,15 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=MasterPDFEditor
SRCNAM=master-pdf-editor
-VERSION=${VERSION:-5.4.38}
+VERSION=${VERSION:-5.9.82}
MAJVER=${MAJVER:-5}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -37,26 +40,20 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
- SOURCEARCH=".i386"
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
- SOURCEARCH="i386"
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
- SOURCEARCH="-qt4.amd64"
+if [ "$ARCH" = "x86_64" ]; then
+ SOURCEARCH="-qt5.x86_64"
else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
+ echo "Architecture is not supported."
+ exit 1
fi
set -e
@@ -66,13 +63,15 @@ mkdir -p $TMP $PKG $OUTPUT $PKG/opt
cd $TMP
rm -rf $SRCNAM-$MAJVER
tar xvf $CWD/${SRCNAM}-${VERSION}${SOURCEARCH}.tar.gz
-chown -R root:root $SRCNAM-$MAJVER
-find -L $SRCNAM-$MAJVER \
+cd $SRCNAM-$MAJVER
+chown -R root:root .
+find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+cd ..
mv $SRCNAM-$MAJVER $PKG/opt
cd $PKG/opt/$SRCNAM-$MAJVER
@@ -80,7 +79,7 @@ mkdir -p $PKG/usr/bin
( ln -s /opt/$SRCNAM-$MAJVER/masterpdfeditor${MAJVER} $PKG/usr/bin/ )
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-mv license.txt $PKG/usr/doc/$PRGNAM-$VERSION
+mv license_en.txt $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/usr/share/applications/
@@ -91,4 +90,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE